type: diagnostic_aggregator/AnalyzerGroup
path: Cameras
analyzers:
  cameras_vision1:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision1
    remove_prefix:
      - "cameras_vision1"
    expected:
      - "cameras_vision1: cammux1"
      - "cameras_vision1: teleop_consumer_1"
      - "cameras_vision1: zci_publisher_consumer_1"
      - "cameras_vision1: log_artifact_consumer_1"
      - "cameras_vision1: n_n_fisheye"
  cameras_vision2:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision2
    remove_prefix:
      - "cameras_vision2"
    expected:
      - "cameras_vision2: cammux2"
      - "cameras_vision2: teleop_consumer_2"
      - "cameras_vision2: zci_publisher_consumer_2"
      - "cameras_vision2: log_artifact_consumer_2"
      - "cameras_vision2: s_s_fisheye"
  cameras_vision3:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision3
    remove_prefix:
      - "cameras_vision3"
    expected:
      - "cameras_vision3: cammux3"
      - "cameras_vision3: teleop_consumer_3"
      - "cameras_vision3: zci_publisher_consumer_3"
      - "cameras_vision3: log_artifact_consumer_3"
      - "cameras_vision3: nw_n_wide"
  cameras_vision4:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision4
    remove_prefix:
      - "cameras_vision4"
    expected:
      - "cameras_vision4: cammux4"
      - "cameras_vision4: teleop_consumer_4"
      - "cameras_vision4: zci_publisher_consumer_4"
      - "cameras_vision4: log_artifact_consumer_4"
      - "cameras_vision4: sw_s_wide"
  cameras_vision5:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision5
    remove_prefix:
      - "cameras_vision5"
    expected:
      - "cameras_vision5: cammux5"
      - "cameras_vision5: teleop_consumer_5"
      - "cameras_vision5: zci_publisher_consumer_5"
      - "cameras_vision5: log_artifact_consumer_5"
      - "cameras_vision5: nw_w_wide"
  cameras_vision6:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision6
    remove_prefix:
      - "cameras_vision6"
    expected:
      - "cameras_vision6: cammux6"
      - "cameras_vision6: teleop_consumer_6"
      - "cameras_vision6: zci_publisher_consumer_6"
      - "cameras_vision6: log_artifact_consumer_6"
      - "cameras_vision6: sw_w_wide"
  cameras_vision7:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision7
    remove_prefix:
      - "cameras_vision7"
    expected:
      - "cameras_vision7: cammux7"
      - "cameras_vision7: teleop_consumer_7"
      - "cameras_vision7: zci_publisher_consumer_7"
      - "cameras_vision7: log_artifact_consumer_7"
      - "cameras_vision7: nw_s_rearview"
  cameras_vision8:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision8
    remove_prefix:
      - "cameras_vision8"
    expected:
      - "cameras_vision8: cammux8"
      - "cameras_vision8: teleop_consumer_8"
      - "cameras_vision8: zci_publisher_consumer_8"
      - "cameras_vision8: log_artifact_consumer_8"
      - "cameras_vision8: sw_n_rearview"
  cameras_vision9:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision9
    remove_prefix:
      - "cameras_vision9"
    expected:
      - "cameras_vision9: cammux9"
      - "cameras_vision9: teleop_consumer_9"
      - "cameras_vision9: zci_publisher_consumer_9"
      - "cameras_vision9: log_artifact_consumer_9"
      - "cameras_vision9: n_n_narrow"
  cameras_vision10:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision10
    remove_prefix:
      - "cameras_vision10"
    expected:
      - "cameras_vision10: cammux10"
      - "cameras_vision10: teleop_consumer_10"
      - "cameras_vision10: zci_publisher_consumer_10"
      - "cameras_vision10: log_artifact_consumer_10"
      - "cameras_vision10: s_s_narrow"
  cameras_vision11:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision11
    remove_prefix:
      - "cameras_vision11"
    expected:
      - "cameras_vision11: cammux11"
      - "cameras_vision11: teleop_consumer_11"
      - "cameras_vision11: zci_publisher_consumer_11"
      - "cameras_vision11: log_artifact_consumer_11"
      - "cameras_vision11: ne_n_wide"
  cameras_vision12:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision12
    remove_prefix:
      - "cameras_vision12"
    expected:
      - "cameras_vision12: cammux12"
      - "cameras_vision12: teleop_consumer_12"
      - "cameras_vision12: zci_publisher_consumer_12"
      - "cameras_vision12: log_artifact_consumer_12"
      - "cameras_vision12: se_s_wide"
  cameras_vision13:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision13
    remove_prefix:
      - "cameras_vision13"
    expected:
      - "cameras_vision13: cammux13"
      - "cameras_vision13: teleop_consumer_13"
      - "cameras_vision13: zci_publisher_consumer_13"
      - "cameras_vision13: log_artifact_consumer_13"
      - "cameras_vision13: ne_e_wide"
  cameras_vision14:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision14
    remove_prefix:
      - "cameras_vision14"
    expected:
      - "cameras_vision14: cammux14"
      - "cameras_vision14: teleop_consumer_14"
      - "cameras_vision14: zci_publisher_consumer_14"
      - "cameras_vision14: log_artifact_consumer_14"
      - "cameras_vision14: se_e_wide"
  cameras_vision15:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision15
    remove_prefix:
      - "cameras_vision15"
    expected:
      - "cameras_vision15: cammux15"
      - "cameras_vision15: teleop_consumer_15"
      - "cameras_vision15: zci_publisher_consumer_15"
      - "cameras_vision15: log_artifact_consumer_15"
      - "cameras_vision15: ne_s_rearview"
  cameras_vision16:
    type: diagnostic_aggregator/GenericAnalyzer
    path: CamerasVision16
    remove_prefix:
      - "cameras_vision16"
    expected:
      - "cameras_vision16: cammux16"
      - "cameras_vision16: teleop_consumer_16"
      - "cameras_vision16: zci_publisher_consumer_16"
      - "cameras_vision16: log_artifact_consumer_16"
      - "cameras_vision16: se_n_rearview"
  supervisor:
    type: diagnostic_aggregator/GenericAnalyzer
    path: Supervisor
    expected:
      - "camera_supervisor: supervisor_zci"
      - "camera_supervisor: supervisor_diagnostic"
      - "camera_supervisor: Camera ROS Diagnostic Aggregator Orchestration"
      - "camera_supervisor: Cameras vision1 Orchestration"
      - "camera_supervisor: Cameras vision2 Orchestration"
      - "camera_supervisor: Cameras vision3 Orchestration"
      - "camera_supervisor: Cameras vision4 Orchestration"
      - "camera_supervisor: Cameras vision5 Orchestration"
      - "camera_supervisor: Cameras vision6 Orchestration"
      - "camera_supervisor: Cameras vision7 Orchestration"
      - "camera_supervisor: Cameras vision8 Orchestration"
      - "camera_supervisor: Cameras vision9 Orchestration"
      - "camera_supervisor: Cameras vision10 Orchestration"
      - "camera_supervisor: Cameras vision11 Orchestration"
      - "camera_supervisor: Cameras vision12 Orchestration"
      - "camera_supervisor: Cameras vision13 Orchestration"
      - "camera_supervisor: Cameras vision14 Orchestration"
      - "camera_supervisor: Cameras vision15 Orchestration"
      - "camera_supervisor: Cameras vision16 Orchestration"
